API 参考
43 个接口 · 概览
curl "https://side.example.com/v1/openapi.yaml"200curl "https://side.example.com/v1/operations.json"{}200curl "https://side.example.com/v1/llms-full.txt"200itemsTokenInfo[]必填idstring必填namestring必填prefixstring必填idstring必填emailstring必填display_namestring必填kindstring必填humanagentscopesstring[]必填space_idsstring[] | null必填expires_atTimestamp | any必填last_used_atTimestamp | any必填revoked_atTimestamp | any必填s3_access_key_idstringapp_idstringparent_idstringcurl "https://side.example.com/v1/tokens" \
-H "Authorization: Bearer $SIDESPACE_TOKEN"{
"items": [
{
"id": "id",
"name": "A001_C003.mov",
"prefix": "prefix",
"user": {},
"scopes": [],
"space_ids": [],
"expires_at": "2026-11-14T09:30:00Z",
"last_used_at": "2026-11-14T09:30:00Z",
"created_at": "2026-11-14T09:30:00Z",
"revoked_at": "2026-11-14T09:30:00Z",
"s3_access_key_id": "nod_01JD7Q3A5C7E9G1J3K5M7P9R2S",
"app_id": "nod_01JD7Q3A5C7E9G1J3K5M7P9R2S",
"parent_id": "nod_01JD7Q3A5C7E9G1J3K5M7P9R2S"
}
]
}namestring必填scopesstring[]必填space_idsstring[]expires_in_daysintegeragent_idstrings3boolean201tokenstring必填idstring必填namestring必填prefixstring必填idstring必填emailstring必填display_namestring必填kindstring必填humanagentscopesstring[]必填space_idsstring[] | null必填expires_atTimestamp | any必填last_used_atTimestamp | any必填revoked_atTimestamp | any必填s3_access_key_idstringapp_idstringparent_idstrings3_access_key_idstringcurl -X POST "https://side.example.com/v1/tokens" \
-H "Authorization: Bearer $SIDESPACE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"name":"A001_C003.mov","scopes":["scope"]}'{
"token": "token",
"info": {
"id": "id",
"name": "A001_C003.mov",
"prefix": "prefix",
"user": {},
"scopes": [
"scope"
],
"space_ids": [
"spc_01JD7Q2M8X4V6N0R3T5W9Y1B2C"
],
"expires_at": "2026-11-14T09:30:00Z",
"last_used_at": "2026-11-14T09:30:00Z",
"created_at": "2026-11-14T09:30:00Z",
"revoked_at": "2026-11-14T09:30:00Z",
"s3_access_key_id": "nod_01JD7Q3A5C7E9G1J3K5M7P9R2S",
"app_id": "nod_01JD7Q3A5C7E9G1J3K5M7P9R2S",
"parent_id": "nod_01JD7Q3A5C7E9G1J3K5M7P9R2S"
},
"s3_access_key_id": "nod_01JD7Q3A5C7E9G1J3K5M7P9R2S"
}curl -X DELETE "https://side.example.com/v1/tokens/id" \
-H "Authorization: Bearer $SIDESPACE_TOKEN"curl "https://side.example.com/v1/token" \
-H "Authorization: Bearer $SIDESPACE_TOKEN"{
"id": "id",
"name": "A001_C003.mov",
"prefix": "prefix",
"user": {
"id": "id",
"email": "[email protected]",
"display_name": "display_name",
"kind": "human"
},
"scopes": [
"scope"
],
"space_ids": [
"spc_01JD7Q2M8X4V6N0R3T5W9Y1B2C"
],
"expires_at": "2026-11-14T09:30:00Z",
"last_used_at": "2026-11-14T09:30:00Z",
"created_at": "2026-11-14T09:30:00Z",
"revoked_at": "2026-11-14T09:30:00Z",
"s3_access_key_id": "nod_01JD7Q3A5C7E9G1J3K5M7P9R2S",
"app_id": "nod_01JD7Q3A5C7E9G1J3K5M7P9R2S",
"parent_id": "nod_01JD7Q3A5C7E9G1J3K5M7P9R2S"
}namestring必填scopesstring[]space_idsstring[]expires_in_secondsintegers3boolean201tokenstring必填idstring必填namestring必填prefixstring必填idstring必填emailstring必填display_namestring必填kindstring必填humanagentscopesstring[]必填space_idsstring[] | null必填expires_atTimestamp | any必填last_used_atTimestamp | any必填revoked_atTimestamp | any必填s3_access_key_idstringapp_idstringparent_idstrings3_access_key_idstringcurl -X POST "https://side.example.com/v1/token/derive" \
-H "Authorization: Bearer $SIDESPACE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"name":"A001_C003.mov"}'{
"token": "token",
"info": {
"id": "id",
"name": "A001_C003.mov",
"prefix": "prefix",
"user": {},
"scopes": [
"scope"
],
"space_ids": [
"spc_01JD7Q2M8X4V6N0R3T5W9Y1B2C"
],
"expires_at": "2026-11-14T09:30:00Z",
"last_used_at": "2026-11-14T09:30:00Z",
"created_at": "2026-11-14T09:30:00Z",
"revoked_at": "2026-11-14T09:30:00Z",
"s3_access_key_id": "nod_01JD7Q3A5C7E9G1J3K5M7P9R2S",
"app_id": "nod_01JD7Q3A5C7E9G1J3K5M7P9R2S",
"parent_id": "nod_01JD7Q3A5C7E9G1J3K5M7P9R2S"
},
"s3_access_key_id": "nod_01JD7Q3A5C7E9G1J3K5M7P9R2S"
}200itemsTokenInfo[]必填idstring必填namestring必填prefixstring必填idstring必填emailstring必填display_namestring必填kindstring必填humanagentscopesstring[]必填space_idsstring[] | null必填expires_atTimestamp | any必填last_used_atTimestamp | any必填revoked_atTimestamp | any必填s3_access_key_idstringapp_idstringparent_idstringcurl "https://side.example.com/v1/token/derived" \
-H "Authorization: Bearer $SIDESPACE_TOKEN"{
"items": [
{
"id": "id",
"name": "A001_C003.mov",
"prefix": "prefix",
"user": {},
"scopes": [],
"space_ids": [],
"expires_at": "2026-11-14T09:30:00Z",
"last_used_at": "2026-11-14T09:30:00Z",
"created_at": "2026-11-14T09:30:00Z",
"revoked_at": "2026-11-14T09:30:00Z",
"s3_access_key_id": "nod_01JD7Q3A5C7E9G1J3K5M7P9R2S",
"app_id": "nod_01JD7Q3A5C7E9G1J3K5M7P9R2S",
"parent_id": "nod_01JD7Q3A5C7E9G1J3K5M7P9R2S"
}
]
}idstring必填204curl -X DELETE "https://side.example.com/v1/token/derived/id" \
-H "Authorization: Bearer $SIDESPACE_TOKEN"curl "https://side.example.com/v1/apps" \
-H "Authorization: Bearer $SIDESPACE_TOKEN"{
"items": [
{
"id": "id",
"name": "A001_C003.mov",
"redirect_uris": [],
"client_uri": "client_uri",
"logo_uri": "logo_uri",
"confidential": false,
"registered": false,
"created_at": "2026-11-14T09:30:00Z"
}
]
}namestring必填redirect_urisstring[]必填client_uristringlogo_uristringconfidentialbooleancurl -X POST "https://side.example.com/v1/apps" \
-H "Authorization: Bearer $SIDESPACE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"name":"A001_C003.mov","redirect_uris":["redirect_uri"]}'{
"id": "id",
"name": "A001_C003.mov",
"redirect_uris": [
"redirect_uri"
],
"client_uri": "client_uri",
"logo_uri": "logo_uri",
"confidential": false,
"registered": false,
"created_at": "2026-11-14T09:30:00Z",
"client_secret": "client_secret"
}idstring必填204curl -X DELETE "https://side.example.com/v1/apps/id" \
-H "Authorization: Bearer $SIDESPACE_TOKEN"200itemsUser[]必填idstring必填emailstring必填display_namestring必填kindstring必填humanagentcurl "https://side.example.com/v1/agents" \
-H "Authorization: Bearer $SIDESPACE_TOKEN"{
"items": [
{
"id": "id",
"email": "[email protected]",
"display_name": "display_name",
"kind": "human"
}
]
}namestring必填curl -X POST "https://side.example.com/v1/agents" \
-H "Authorization: Bearer $SIDESPACE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"name":"A001_C003.mov"}'{
"id": "id",
"email": "[email protected]",
"display_name": "display_name",
"kind": "human"
}idstring必填204curl -X DELETE "https://side.example.com/v1/agents/id" \
-H "Authorization: Bearer $SIDESPACE_TOKEN"sidstring必填200itemsWebhook[]必填idstring必填space_idstring必填created_bystring必填urlstring必填eventsstring[]必填path_globstring必填mime_prefixstring必填descriptionstring必填activeboolean必填disabled_reasonstring | nullcursor_seqinteger必填attemptsinteger必填failing_sinceTimestamp | anylast_errorstring | nullcurl "https://side.example.com/v1/spaces/spc_01JD7Q2M8X4V6N0R3T5W9Y1B2C/webhooks" \
-H "Authorization: Bearer $SIDESPACE_TOKEN"{
"items": [
{
"id": "id",
"space_id": "spc_01JD7Q2M8X4V6N0R3T5W9Y1B2C",
"created_by": "created_by",
"url": "https://hooks.example.com/side",
"events": [],
"path_glob": "path_glob",
"mime_prefix": "mime_prefix",
"description": "description",
"active": false,
"disabled_reason": "disabled_reason",
"cursor_seq": 1,
"attempts": 1,
"failing_since": "2026-11-14T09:30:00Z",
"last_error": "last_error",
"created_at": "2026-11-14T09:30:00Z"
}
]
}sidstring必填urlstringeventsstring[]path_globstringmime_prefixstringdescriptionstringactivebooleanfrom_seqinteger201idstring必填space_idstring必填created_bystring必填urlstring必填eventsstring[]必填path_globstring必填mime_prefixstring必填descriptionstring必填activeboolean必填disabled_reasonstring | nullcursor_seqinteger必填attemptsinteger必填failing_sinceTimestamp | anylast_errorstring | nullsecretstring必填curl -X POST "https://side.example.com/v1/spaces/spc_01JD7Q2M8X4V6N0R3T5W9Y1B2C/webhooks" \
-H "Authorization: Bearer $SIDESPACE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"url":"https://hooks.example.com/side","events":["event"],"path_glob":"path_glob"}'{
"id": "id",
"space_id": "spc_01JD7Q2M8X4V6N0R3T5W9Y1B2C",
"created_by": "created_by",
"url": "https://hooks.example.com/side",
"events": [
"event"
],
"path_glob": "path_glob",
"mime_prefix": "mime_prefix",
"description": "description",
"active": false,
"disabled_reason": "disabled_reason",
"cursor_seq": 1,
"attempts": 1,
"failing_since": "2026-11-14T09:30:00Z",
"last_error": "last_error",
"created_at": "2026-11-14T09:30:00Z",
"secret": "secret"
}sidstring必填widstring必填urlstringeventsstring[]path_globstringmime_prefixstringdescriptionstringactivebooleanfrom_seqintegercurl -X PATCH "https://side.example.com/v1/spaces/spc_01JD7Q2M8X4V6N0R3T5W9Y1B2C/webhooks/wid" \
-H "Authorization: Bearer $SIDESPACE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"url":"https://hooks.example.com/side","events":["event"],"path_glob":"path_glob"}'{
"id": "id",
"space_id": "spc_01JD7Q2M8X4V6N0R3T5W9Y1B2C",
"created_by": "created_by",
"url": "https://hooks.example.com/side",
"events": [
"event"
],
"path_glob": "path_glob",
"mime_prefix": "mime_prefix",
"description": "description",
"active": false,
"disabled_reason": "disabled_reason",
"cursor_seq": 1,
"attempts": 1,
"failing_since": "2026-11-14T09:30:00Z",
"last_error": "last_error",
"created_at": "2026-11-14T09:30:00Z"
}sidstring必填widstring必填204curl -X DELETE "https://side.example.com/v1/spaces/spc_01JD7Q2M8X4V6N0R3T5W9Y1B2C/webhooks/wid" \
-H "Authorization: Bearer $SIDESPACE_TOKEN"sidstring必填widstring必填curl -X POST "https://side.example.com/v1/spaces/spc_01JD7Q2M8X4V6N0R3T5W9Y1B2C/webhooks/wid/ping" \
-H "Authorization: Bearer $SIDESPACE_TOKEN"{
"id": 1,
"event_id": "nod_01JD7Q3A5C7E9G1J3K5M7P9R2S",
"event_type": "event_type",
"seq": 3,
"attempt": 1,
"status": 1,
"error": "error",
"duration_ms": 83500,
"created_at": "2026-11-14T09:30:00Z"
}sidstring必填widstring必填from_seqinteger必填curl -X POST "https://side.example.com/v1/spaces/spc_01JD7Q2M8X4V6N0R3T5W9Y1B2C/webhooks/wid/replay" \
-H "Authorization: Bearer $SIDESPACE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"from_seq":1}'{
"id": "id",
"space_id": "spc_01JD7Q2M8X4V6N0R3T5W9Y1B2C",
"created_by": "created_by",
"url": "https://hooks.example.com/side",
"events": [
"event"
],
"path_glob": "path_glob",
"mime_prefix": "mime_prefix",
"description": "description",
"active": false,
"disabled_reason": "disabled_reason",
"cursor_seq": 1,
"attempts": 1,
"failing_since": "2026-11-14T09:30:00Z",
"last_error": "last_error",
"created_at": "2026-11-14T09:30:00Z"
}sidstring必填widstring必填limitintegercurl "https://side.example.com/v1/spaces/spc_01JD7Q2M8X4V6N0R3T5W9Y1B2C/webhooks/wid/deliveries" \
-H "Authorization: Bearer $SIDESPACE_TOKEN"{
"items": [
{
"id": 1,
"event_id": "nod_01JD7Q3A5C7E9G1J3K5M7P9R2S",
"event_type": "event_type",
"seq": 3,
"attempt": 1,
"status": 1,
"error": "error",
"duration_ms": 83500,
"created_at": "2026-11-14T09:30:00Z"
}
]
}sidstring必填200itemsAction[]必填namestring必填versionstring必填titlestring必填descriptionstring必填acceptsstring[]必填writesstring[]必填params_schemaobject必填availableboolean必填needsstringcurl "https://side.example.com/v1/spaces/spc_01JD7Q2M8X4V6N0R3T5W9Y1B2C/actions" \
-H "Authorization: Bearer $SIDESPACE_TOKEN"{
"items": [
{
"name": "A001_C003.mov",
"version": "version",
"title": "title",
"description": "description",
"accepts": [],
"writes": [],
"params_schema": {},
"available": false,
"needs": "needs"
}
]
}sidstring必填version_idstringnode_idstringstateRunStatequeuedrunningdonefailedcanceledactionstringpipeline_idstringlimitinteger200itemsRun[]必填idstring必填space_idstring必填node_idstring必填version_idstring必填actionstring必填action_versionstring必填paramsobject必填pipeline_idstring | nullrequested_bystring必填queuedrunningdonefailedcanceledattemptsinteger必填progressnumber | nullerrorstring | nullresultobject | nullsidecarsmap<string, any>filesobject[]pathstring必填mimestring必填node_idstringversion_idstringcachedboolean必填started_atTimestamp | anyfinished_atTimestamp | anycurl "https://side.example.com/v1/spaces/spc_01JD7Q2M8X4V6N0R3T5W9Y1B2C/runs" \
-H "Authorization: Bearer $SIDESPACE_TOKEN"{
"items": [
{
"id": "id",
"space_id": "spc_01JD7Q2M8X4V6N0R3T5W9Y1B2C",
"node_id": "nod_01JD7Q3A5C7E9G1J3K5M7P9R2S",
"version_id": "ver_01JD7Q4B6D8F0H2J4L6N8Q0S3T",
"action": "action",
"action_version": "action_version",
"params": {},
"pipeline_id": "nod_01JD7Q3A5C7E9G1J3K5M7P9R2S",
"requested_by": "requested_by",
"state": "queued",
"attempts": 1,
"progress": 0.5,
"error": "error",
"result": {},
"cached": false,
"created_at": "2026-11-14T09:30:00Z",
"started_at": "2026-11-14T09:30:00Z",
"finished_at": "2026-11-14T09:30:00Z"
}
]
}sidstring必填actionstring必填version_idstringnode_idstringpathstringparamsobjectfreshbooleancurl -X POST "https://side.example.com/v1/spaces/spc_01JD7Q2M8X4V6N0R3T5W9Y1B2C/runs" \
-H "Authorization: Bearer $SIDESPACE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"action":"action"}'{
"id": "id",
"space_id": "spc_01JD7Q2M8X4V6N0R3T5W9Y1B2C",
"node_id": "nod_01JD7Q3A5C7E9G1J3K5M7P9R2S",
"version_id": "ver_01JD7Q4B6D8F0H2J4L6N8Q0S3T",
"action": "action",
"action_version": "action_version",
"params": {},
"pipeline_id": "nod_01JD7Q3A5C7E9G1J3K5M7P9R2S",
"requested_by": "requested_by",
"state": "queued",
"attempts": 1,
"progress": 0.5,
"error": "error",
"result": {
"sidecars": {
"key": "string"
},
"files": [
{}
]
},
"cached": false,
"created_at": "2026-11-14T09:30:00Z",
"started_at": "2026-11-14T09:30:00Z",
"finished_at": "2026-11-14T09:30:00Z"
}sidstring必填ridstring必填curl "https://side.example.com/v1/spaces/spc_01JD7Q2M8X4V6N0R3T5W9Y1B2C/runs/rid" \
-H "Authorization: Bearer $SIDESPACE_TOKEN"{
"id": "id",
"space_id": "spc_01JD7Q2M8X4V6N0R3T5W9Y1B2C",
"node_id": "nod_01JD7Q3A5C7E9G1J3K5M7P9R2S",
"version_id": "ver_01JD7Q4B6D8F0H2J4L6N8Q0S3T",
"action": "action",
"action_version": "action_version",
"params": {},
"pipeline_id": "nod_01JD7Q3A5C7E9G1J3K5M7P9R2S",
"requested_by": "requested_by",
"state": "queued",
"attempts": 1,
"progress": 0.5,
"error": "error",
"result": {
"sidecars": {
"key": "string"
},
"files": [
{}
]
},
"cached": false,
"created_at": "2026-11-14T09:30:00Z",
"started_at": "2026-11-14T09:30:00Z",
"finished_at": "2026-11-14T09:30:00Z"
}sidstring必填ridstring必填curl -X POST "https://side.example.com/v1/spaces/spc_01JD7Q2M8X4V6N0R3T5W9Y1B2C/runs/rid/cancel" \
-H "Authorization: Bearer $SIDESPACE_TOKEN"{
"id": "id",
"space_id": "spc_01JD7Q2M8X4V6N0R3T5W9Y1B2C",
"node_id": "nod_01JD7Q3A5C7E9G1J3K5M7P9R2S",
"version_id": "ver_01JD7Q4B6D8F0H2J4L6N8Q0S3T",
"action": "action",
"action_version": "action_version",
"params": {},
"pipeline_id": "nod_01JD7Q3A5C7E9G1J3K5M7P9R2S",
"requested_by": "requested_by",
"state": "queued",
"attempts": 1,
"progress": 0.5,
"error": "error",
"result": {
"sidecars": {
"key": "string"
},
"files": [
{}
]
},
"cached": false,
"created_at": "2026-11-14T09:30:00Z",
"started_at": "2026-11-14T09:30:00Z",
"finished_at": "2026-11-14T09:30:00Z"
}sidstring必填200itemsPipeline[]必填idstring必填space_idstring必填created_bystring必填namestring必填actionstring必填paramsobject必填path_globstring必填mime_prefixstring必填conditionsPipelineConditionsmin_sizeintegermax_sizeintegermin_duration_snumbermax_duration_snumbermin_widthintegermin_heightintegerhas_audiobooleanafterstring | nullactiveboolean必填disabled_reasonstring | nullcursor_seqinteger必填curl "https://side.example.com/v1/spaces/spc_01JD7Q2M8X4V6N0R3T5W9Y1B2C/pipelines" \
-H "Authorization: Bearer $SIDESPACE_TOKEN"{
"items": [
{
"id": "id",
"space_id": "spc_01JD7Q2M8X4V6N0R3T5W9Y1B2C",
"created_by": "created_by",
"name": "A001_C003.mov",
"action": "action",
"params": {},
"path_glob": "path_glob",
"mime_prefix": "mime_prefix",
"conditions": {},
"after": "after",
"active": false,
"disabled_reason": "disabled_reason",
"cursor_seq": 1,
"created_at": "2026-11-14T09:30:00Z"
}
]
}sidstring必填namestringactionstringparamsobjectpath_globstringmime_prefixstringconditionsPipelineConditionsmin_sizeintegermax_sizeintegermin_duration_snumbermax_duration_snumbermin_widthintegermin_heightintegerhas_audiobooleanafterstringactivebooleancurl -X POST "https://side.example.com/v1/spaces/spc_01JD7Q2M8X4V6N0R3T5W9Y1B2C/pipelines" \
-H "Authorization: Bearer $SIDESPACE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"name":"A001_C003.mov","action":"action","params":{}}'{
"id": "id",
"space_id": "spc_01JD7Q2M8X4V6N0R3T5W9Y1B2C",
"created_by": "created_by",
"name": "A001_C003.mov",
"action": "action",
"params": {},
"path_glob": "path_glob",
"mime_prefix": "mime_prefix",
"conditions": {
"min_size": 1,
"max_size": 1,
"min_duration_s": 0.5,
"max_duration_s": 0.5,
"min_width": 1,
"min_height": 1,
"has_audio": false
},
"after": "after",
"active": false,
"disabled_reason": "disabled_reason",
"cursor_seq": 1,
"created_at": "2026-11-14T09:30:00Z"
}sidstring必填pidstring必填namestringactionstringparamsobjectpath_globstringmime_prefixstringconditionsPipelineConditionsmin_sizeintegermax_sizeintegermin_duration_snumbermax_duration_snumbermin_widthintegermin_heightintegerhas_audiobooleanafterstringactivebooleancurl -X PATCH "https://side.example.com/v1/spaces/spc_01JD7Q2M8X4V6N0R3T5W9Y1B2C/pipelines/pid" \
-H "Authorization: Bearer $SIDESPACE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"name":"A001_C003.mov","action":"action","params":{}}'{
"id": "id",
"space_id": "spc_01JD7Q2M8X4V6N0R3T5W9Y1B2C",
"created_by": "created_by",
"name": "A001_C003.mov",
"action": "action",
"params": {},
"path_glob": "path_glob",
"mime_prefix": "mime_prefix",
"conditions": {
"min_size": 1,
"max_size": 1,
"min_duration_s": 0.5,
"max_duration_s": 0.5,
"min_width": 1,
"min_height": 1,
"has_audio": false
},
"after": "after",
"active": false,
"disabled_reason": "disabled_reason",
"cursor_seq": 1,
"created_at": "2026-11-14T09:30:00Z"
}sidstring必填pidstring必填204curl -X DELETE "https://side.example.com/v1/spaces/spc_01JD7Q2M8X4V6N0R3T5W9Y1B2C/pipelines/pid" \
-H "Authorization: Bearer $SIDESPACE_TOKEN"sidstring必填pidstring必填200runsinteger必填curl -X POST "https://side.example.com/v1/spaces/spc_01JD7Q2M8X4V6N0R3T5W9Y1B2C/pipelines/pid/backfill" \
-H "Authorization: Bearer $SIDESPACE_TOKEN"{
"runs": 1
}sidstring必填200itemsPipelineTemplate[]必填idstring必填titlestring必填descriptionstring必填pipelinesPipelineRequest[]必填namestringactionstringparamsobjectpath_globstringmime_prefixstringconditionsPipelineConditionsmin_sizeintegermax_sizeintegermin_duration_snumbermax_duration_snumbermin_widthintegermin_heightintegerhas_audiobooleanafterstringactivebooleancurl "https://side.example.com/v1/spaces/spc_01JD7Q2M8X4V6N0R3T5W9Y1B2C/pipeline-templates" \
-H "Authorization: Bearer $SIDESPACE_TOKEN"{
"items": [
{
"id": "id",
"title": "title",
"description": "description",
"pipelines": []
}
]
}sidstring必填tidstring必填path_globstringbackfillboolean201itemsPipeline[]必填idstring必填space_idstring必填created_bystring必填namestring必填actionstring必填paramsobject必填path_globstring必填mime_prefixstring必填conditionsPipelineConditionsmin_sizeintegermax_sizeintegermin_duration_snumbermax_duration_snumbermin_widthintegermin_heightintegerhas_audiobooleanafterstring | nullactiveboolean必填disabled_reasonstring | nullcursor_seqinteger必填runsinteger必填curl -X POST "https://side.example.com/v1/spaces/spc_01JD7Q2M8X4V6N0R3T5W9Y1B2C/pipeline-templates/tid" \
-H "Authorization: Bearer $SIDESPACE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"path_glob":"path_glob","backfill":false}'{
"items": [
{
"id": "id",
"space_id": "spc_01JD7Q2M8X4V6N0R3T5W9Y1B2C",
"created_by": "created_by",
"name": "A001_C003.mov",
"action": "action",
"params": {},
"path_glob": "path_glob",
"mime_prefix": "mime_prefix",
"conditions": {},
"after": "after",
"active": false,
"disabled_reason": "disabled_reason",
"cursor_seq": 1,
"created_at": "2026-11-14T09:30:00Z"
}
],
"runs": 1
}sidstring必填200itemsPlugin[]必填idstring必填space_idstring必填namestring必填namestring必填titlestringdescriptionstringversionstring必填homepagestringruntimestringsidespace runner (or any program) claims jobs at POST /v1/plugin-runs/claimhttpsrunnerendpointstringtimeout_secondsintegeractionsobject[]必填namestring必填titlestringdescriptionstringacceptsstring[]writesstring[]必填params_schemaobjectendpointstring必填created_bystring必填activeboolean必填disabled_reasonstring | nullcurl "https://side.example.com/v1/spaces/spc_01JD7Q2M8X4V6N0R3T5W9Y1B2C/plugins" \
-H "Authorization: Bearer $SIDESPACE_TOKEN"{
"items": [
{
"id": "id",
"space_id": "spc_01JD7Q2M8X4V6N0R3T5W9Y1B2C",
"name": "A001_C003.mov",
"manifest": {},
"endpoint": "endpoint",
"created_by": "created_by",
"active": false,
"disabled_reason": "disabled_reason",
"created_at": "2026-11-14T09:30:00Z",
"updated_at": "2026-11-14T09:30:00Z"
}
]
}sidstring必填manifest_urlstringmanifestPluginManifestnamestring必填titlestringdescriptionstringversionstring必填homepagestringruntimestringsidespace runner (or any program) claims jobs at POST /v1/plugin-runs/claimhttpsrunnerendpointstringtimeout_secondsintegeractionsobject[]必填namestring必填titlestringdescriptionstringacceptsstring[]writesstring[]必填params_schemaobjectactiveboolean201idstring必填space_idstring必填namestring必填namestring必填titlestringdescriptionstringversionstring必填homepagestringruntimestringsidespace runner (or any program) claims jobs at POST /v1/plugin-runs/claimhttpsrunnerendpointstringtimeout_secondsintegeractionsobject[]必填namestring必填titlestringdescriptionstringacceptsstring[]writesstring[]必填params_schemaobjectendpointstring必填created_bystring必填activeboolean必填disabled_reasonstring | nullsecretstring必填curl -X POST "https://side.example.com/v1/spaces/spc_01JD7Q2M8X4V6N0R3T5W9Y1B2C/plugins" \
-H "Authorization: Bearer $SIDESPACE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"manifest_url":"manifest_url","manifest":{"name":"A001_C003.mov","version":"version","actions":[]},"active":false}'{
"id": "id",
"space_id": "spc_01JD7Q2M8X4V6N0R3T5W9Y1B2C",
"name": "A001_C003.mov",
"manifest": {
"name": "A001_C003.mov",
"title": "title",
"description": "description",
"version": "version",
"homepage": "homepage",
"runtime": "https",
"endpoint": "endpoint",
"timeout_seconds": 3600,
"actions": []
},
"endpoint": "endpoint",
"created_by": "created_by",
"active": false,
"disabled_reason": "disabled_reason",
"created_at": "2026-11-14T09:30:00Z",
"updated_at": "2026-11-14T09:30:00Z",
"secret": "secret"
}sidstring必填pidstring必填manifest_urlstringmanifestPluginManifestnamestring必填titlestringdescriptionstringversionstring必填homepagestringruntimestringsidespace runner (or any program) claims jobs at POST /v1/plugin-runs/claimhttpsrunnerendpointstringtimeout_secondsintegeractionsobject[]必填namestring必填titlestringdescriptionstringacceptsstring[]writesstring[]必填params_schemaobjectactivebooleancurl -X PATCH "https://side.example.com/v1/spaces/spc_01JD7Q2M8X4V6N0R3T5W9Y1B2C/plugins/pid" \
-H "Authorization: Bearer $SIDESPACE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"manifest_url":"manifest_url","manifest":{"name":"A001_C003.mov","version":"version","actions":[]},"active":false}'{
"id": "id",
"space_id": "spc_01JD7Q2M8X4V6N0R3T5W9Y1B2C",
"name": "A001_C003.mov",
"manifest": {
"name": "A001_C003.mov",
"title": "title",
"description": "description",
"version": "version",
"homepage": "homepage",
"runtime": "https",
"endpoint": "endpoint",
"timeout_seconds": 3600,
"actions": []
},
"endpoint": "endpoint",
"created_by": "created_by",
"active": false,
"disabled_reason": "disabled_reason",
"created_at": "2026-11-14T09:30:00Z",
"updated_at": "2026-11-14T09:30:00Z"
}sidstring必填pidstring必填204curl -X DELETE "https://side.example.com/v1/spaces/spc_01JD7Q2M8X4V6N0R3T5W9Y1B2C/plugins/pid" \
-H "Authorization: Bearer $SIDESPACE_TOKEN"waitinteger200204curl -X POST "https://side.example.com/v1/plugin-runs/claim"{}ridstring必填progressnumber必填204curl -X POST "https://side.example.com/v1/plugin-runs/rid/progress" \
-H "Authorization: Bearer $RUN_TOKEN" \
-H "Content-Type: application/json" \
-d '{"progress":0.5}'ridstring必填curl -X POST "https://side.example.com/v1/plugin-runs/rid/upload" \
-H "Authorization: Bearer $RUN_TOKEN"{
"missing": [
"missing"
],
"ticket": "ticket",
"blockgw_url": "blockgw_url",
"expires_at": "2026-11-14T09:30:00Z"
}ridstring必填sidecarsmap<string, any>filesobject[]errorstringretrybooleancurl -X POST "https://side.example.com/v1/plugin-runs/rid/complete" \
-H "Authorization: Bearer $RUN_TOKEN" \
-H "Content-Type: application/json" \
-d '{"sidecars":{"key":"string"},"files":[{"path":"Ep01/Shots/A001_C003.mov","manifest":{}}],"error":"error"}'{
"id": "id",
"space_id": "spc_01JD7Q2M8X4V6N0R3T5W9Y1B2C",
"node_id": "nod_01JD7Q3A5C7E9G1J3K5M7P9R2S",
"version_id": "ver_01JD7Q4B6D8F0H2J4L6N8Q0S3T",
"action": "action",
"action_version": "action_version",
"params": {},
"pipeline_id": "nod_01JD7Q3A5C7E9G1J3K5M7P9R2S",
"requested_by": "requested_by",
"state": "queued",
"attempts": 1,
"progress": 0.5,
"error": "error",
"result": {
"sidecars": {
"key": "string"
},
"files": [
{}
]
},
"cached": false,
"created_at": "2026-11-14T09:30:00Z",
"started_at": "2026-11-14T09:30:00Z",
"finished_at": "2026-11-14T09:30:00Z"
}